Bug 1019681 - RBAC description in Release Notes incomprehensible
RBAC description in Release Notes incomprehensible
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity medium
: GA
: ---
Assigned To: Lucas Costi
Ladislav Thon
:
Depends On:
Blocks: 1018743
  Show dependency treegraph
 
Reported: 2013-10-16 05:00 EDT by Ladislav Thon
Modified: 2014-08-14 11:23 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-15 12:01:54 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ladislav Thon 2013-10-16 05:00:52 EDT
I find the RBAC description in Release Notes hard to understand. Here's a bunch of suggestions to make it better:

1. improving access control over management operations -> improving
[granularity of] access control for management operations

- the [granularity of] part is not absolutely necessary, but IMO it makes the description more accurate

- "over" should be changed to "for", I believe (but then, I'm not a native speaker)

2. comment-line interface -> command-line interface

- just a typo

3. "via either the command-line interface (CLI) or management console" -- that's not very precise, it applies to _all_ management interfaces (though CLI and console are the most prominent ones); on the other hand, it's mentioned correctly in the last sentence, so maybe it's not a big deal

4. Group membership is associated with one of several roles -> Users and
user groups can be assigned one of several roles

- can't really understand what the original means
Comment 1 John Doyle 2013-10-16 16:35:43 EDT
Here's a restatement.

Role-based access control (RBAC) has been implemented, improving granularity of access control for management operations through all management interfaces. Users and groups can be associated with one of several roles that determine the level of access to the management operations.
Comment 3 Ladislav Thon 2013-10-17 02:22:37 EDT
This is a lot better, thanks!

Note You need to log in before you can comment on or make changes to this bug.